<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.generic.label.information.singular'"
>
  <sqtm-core-dialog-body>
    <div class="flex-row body-content m-t-5">
      <i
        nz-icon
        class="sqtm-core-icon"
        nzType="info-circle"
        nzTheme="twotone"
        [nzTwotoneColor]="'#1890FF'"
      ></i>
      @if (data.eligibleTcIds.length > 0) {
        <p [innerHTML]="getMessage()"></p>
      } @else {
        <span>{{
          'sqtm-core.test-case-workspace.dialog.message.transmit-all.empty'
            | translate
        }}</span>
      }
    </div>
  </sqtm-core-dialog-body>

  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      class="flex-fixed-size"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
